Retrieve campaigns
curl --request GET \
--url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://library-backend.dashsocial.com/brands/{brand_id}/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://library-backend.dashsocial.com/brands/{brand_id}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"brand_id": 123,
"avg_emv": 123,
"avg_engagement_rate": 123,
"avg_engagements": 123,
"benchmark_campaigns": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"creator_filters": {
"excluded_media_ids": [],
"included_media_ids": [],
"source_created_at": {
"end": "<string>",
"start": "<string>"
}
},
"creator_ids": [
123
],
"earliest_media_published_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"google_analytics_selected_campaigns": [
"<string>"
],
"has_relationships": true,
"has_ugc": true,
"hashtags": null,
"id": 123,
"included_ad_sources": null,
"included_creator_sources": "<unknown>",
"included_media_sources": [
"<string>"
],
"latest_media_published_date": "2023-11-07T05:31:56Z",
"name": "<string>",
"number_of_media": 123,
"show_v1_facebook_metrics": true,
"show_v1_instagram_metrics": true,
"show_v2_facebook_metrics": true,
"show_v2_instagram_metrics": true,
"start_date": "2023-11-07T05:31:56Z",
"top_media": "<unknown>",
"topline_metrics": {
"CREATOR_SUMMARY": [
{
"metric": "total_posts",
"source": "creator_insights",
"goal": null
}
],
"OWNED_SUMMARY": [
{
"source": "campaign_stats",
"aggregation": "SUM",
"goal": null,
"id": 123,
"metric": "<string>"
}
],
"SOCIAL_ADS_SUMMARY": [
{
"metric": "TOTAL_SPENT",
"source": "dashboards",
"goal": null
}
]
},
"total_clicks": 123,
"total_creator_likes": 123,
"total_emv": 123,
"total_engagements": 123,
"total_impressions": 123,
"total_video_views": 123,
"ttcm_orders_campaign_code": "<string>",
"ttcm_orders_invite_link": "<string>",
"ttcm_spark_ads_authorization_days": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"paging": {
"count": 123,
"next": "<string>",
"previous": "<string>"
}
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Campaign
Retrieve campaigns
Returns a list of campaigns for a brand.
GET
/
brands
/
{brand_id}
/
campaigns
Retrieve campaigns
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Dash Social assigned ID of the brand.
Query Parameters
Number of results to return in a single response.
Required range:
0 <= x <= 1000The offset of the first result to be returned.
Required range:
x >= 0Comma-separated list of IDs to return.
Returns a list of summary campaign objects.
Search for campaigns based on name using wildcards
Media filter order. "-" means in a desc order.
Available options:
CREATED, NAME, NUMBER_OF_MEDIA, AVG_ENGAGEMENTS, AVG_ENGAGEMENT_RATE, AVG_EMV, TOTAL_CREATOR_LIKES, TOTAL_ENGAGEMENTS, TOTAL_EMV, TOTAL_CLICKS, TOTAL_IMPRESSIONS, TOTAL_VIDEO_VIEWS, -CREATED, -NAME, -NUMBER_OF_MEDIA, -AVG_ENGAGEMENTS, -AVG_ENGAGEMENT_RATE, -AVG_EMV, -TOTAL_CREATOR_LIKES, -TOTAL_ENGAGEMENTS, -TOTAL_EMV, -TOTAL_CLICKS, -TOTAL_IMPRESSIONS, -TOTAL_VIDEO_VIEWS Search for campaigns based on the provided creator id
Only include/exclude campaigns with one or more creators.
Filters campaigns based on whether the current date falls within the range set in the campaign's creator filters. Creator campaigns with nodate range are always considered to be active.
Available options:
ALL, ACTIVE, INACTIVE, null